Bug 1293770 - [abrt] gnome-disk-utility: udisks_block_get_preferred_device(): gnome-disks killed by SIGSEGV
[abrt] gnome-disk-utility: udisks_block_get_preferred_device(): gnome-disks k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cc9e40e84f984361f83e4b185cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 22:29 EST by Amit Shah
Modified: 2016-12-20 12:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:19:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.78 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: core_backtrace (7.18 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: dso_list (10.61 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: environ (1.85 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: maps (53.68 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: mountinfo (3.39 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: open_fds (1.17 KB, text/plain)
2015-12-22 22:29 EST, Amit Shah
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-12-22 22:30 EST, Amit Shah
no flags Details
File: smart_data (2 bytes, text/plain)
2015-12-22 22:30 EST, Amit Shah
no flags Details
File: var_log_messages (303 bytes, text/plain)
2015-12-22 22:30 EST, Amit Shah
no flags Details

  None (edit)
Description Amit Shah 2015-12-22 22:29:29 EST
Description of problem:
Right-click an .iso file in nautilus, select 'Open With' -> 'Disk Image Writer'.

Version-Release number of selected component:
gnome-disk-utility-3.18.3.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-disks
crash_function: udisks_block_get_preferred_device
executable:     /usr/bin/gnome-disks
global_pid:     15612
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 udisks_block_get_preferred_device at udisks-generated.c:11900
 #1 update_drive at gdudevicetreemodel.c:873
 #2 update_drives at gdudevicetreemodel.c:996
 #3 update_all at gdudevicetreemodel.c:1312
 #4 coldplug at gdudevicetreemodel.c:1319
 #5 gdu_device_tree_model_constructed at gdudevicetreemodel.c:482
 #6 g_object_new_internal at gobject.c:1819
 #7 g_object_new_valist at gobject.c:2038
 #9 gdu_device_tree_model_new at gdudevicetreemodel.c:560
 #10 populate_destination_combobox at gdurestorediskimagedialog.c:475

Potential duplicate: bug 1179534
Comment 1 Amit Shah 2015-12-22 22:29:36 EST
Created attachment 1108775 [details]
File: backtrace
Comment 2 Amit Shah 2015-12-22 22:29:39 EST
Created attachment 1108776 [details]
File: cgroup
Comment 3 Amit Shah 2015-12-22 22:29:41 EST
Created attachment 1108777 [details]
File: core_backtrace
Comment 4 Amit Shah 2015-12-22 22:29:43 EST
Created attachment 1108778 [details]
File: dso_list
Comment 5 Amit Shah 2015-12-22 22:29:45 EST
Created attachment 1108779 [details]
File: environ
Comment 6 Amit Shah 2015-12-22 22:29:47 EST
Created attachment 1108780 [details]
File: exploitable
Comment 7 Amit Shah 2015-12-22 22:29:49 EST
Created attachment 1108781 [details]
File: limits
Comment 8 Amit Shah 2015-12-22 22:29:52 EST
Created attachment 1108782 [details]
File: maps
Comment 9 Amit Shah 2015-12-22 22:29:54 EST
Created attachment 1108783 [details]
File: mountinfo
Comment 10 Amit Shah 2015-12-22 22:29:56 EST
Created attachment 1108784 [details]
File: namespaces
Comment 11 Amit Shah 2015-12-22 22:29:59 EST
Created attachment 1108785 [details]
File: open_fds
Comment 12 Amit Shah 2015-12-22 22:30:01 EST
Created attachment 1108786 [details]
File: proc_pid_status
Comment 13 Amit Shah 2015-12-22 22:30:03 EST
Created attachment 1108787 [details]
File: smart_data
Comment 14 Amit Shah 2015-12-22 22:30:05 EST
Created attachment 1108788 [details]
File: var_log_messages
Comment 15 Fedora End Of Life 2016-11-24 09:28:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:19:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.